//
//  YHScoreOptionsView.swift
//  galaxy
//
//  Created by davidhuangA on 2024/1/28.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHScoreOptionsView: UIView {
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        setupUI()
        
    }
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    lazy var nameLable : UILabel = {
        let lable0 = UILabel()
        lable0.textColor = UIColor(hex: 0x4E4E4E)
        lable0.font = UIFont.PingFangScR(ofSize: 14)
        lable0.numberOfLines = 0
        lable0.lineBreakMode = .byWordWrapping
        return lable0
    }()
    
    
    private lazy var bottomLine : UIView = {
        let view = UIView()
        view.backgroundColor = UIColor(hex:0xF0F0F0)
        return view
    }()
}

private extension YHScoreOptionsView {
    func setupUI() {
        addSubview(bottomLine)
        bottomLine.snp.makeConstraints { make in
            make.bottom.left.right.equalToSuperview()
            make.height.equalTo(0.5)
        }
        
        addSubview(nameLable)
        nameLable.snp.makeConstraints { make in
            make.top.equalTo(16)
            make.left.right.equalToSuperview()
            make.bottom.equalTo(bottomLine.snp.top).offset(-16)
        }
    }
}
